Groovy Documentation

## org.codehaus.groovy.runtime
[Java] Class MethodKey

    java.lang.Object
      org.codehaus.groovy.runtime.MethodKey

    public abstract class MethodKey
    extends java.lang.Object

An abstract base class for a key used for comparators and Map keys to lookup a method by name and parameter types

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`MethodKey(java.lang.Class sender, java.lang.String name, boolean isCallToSuper)`

Method Summary
`MethodKey` | `createCopy()` Creates an immutable copy that we can cache.
`protected int` | `createHashCode()`
`boolean` | `equals(java.lang.Object that)`
`boolean` | `equals(MethodKey that)`
`java.lang.String` | `getName()`
`int` | `getParameterCount()`
`java.lang.Class` | `getParameterType(int index)`
`java.util.List` | `getParamterTypes()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### MethodKey

    public MethodKey(java.lang.Class sender, java.lang.String name, boolean isCallToSuper)

Method Detail

### createCopy

    public MethodKey createCopy()

  Creates an immutable copy that we can cache.

### createHashCode

    protected int createHashCode()

### equals

    public boolean equals(java.lang.Object that)

### equals

    public boolean equals(MethodKey that)

### getName

    public java.lang.String getName()

### getParameterCount

    public int getParameterCount()

### getParameterType

    public java.lang.Class getParameterType(int index)

### getParamterTypes

    public java.util.List getParamterTypes()

### hashCode

    public int hashCode()

### toString

    public java.lang.String toString()

Groovy Documentation